Bug 1127078 - SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory .
Summary: SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:632d1ace3a2b741b16be9f40403...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 05:21 UTC by kayvan.lenovo
Modified: 2014-08-28 15:30 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.12.1-181.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-28 15:30:17 UTC


Attachments (Terms of Use)

Description kayvan.lenovo 2014-08-06 05:21:32 UTC
Description of problem:
SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that httpd should be allowed search access on the  directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep httpd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:object_r:ntop_var_lib_t:s0
Target Objects                 [ dir ]
Source                        httpd
Source Path                   /usr/sbin/httpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           httpd-2.4.10-1.fc20.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-179.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.15.7-200.fc20.i686+PAE #1 SMP
                              Mon Jul 28 19:07:09 UTC 2014 i686 i686
Alert Count                   1
First Seen                    2014-08-06 09:39:06 IRDT
Last Seen                     2014-08-06 09:39:06 IRDT
Local ID                      30c90ff1-7667-414a-8d03-ba3c71acffd7

Raw Audit Messages
type=AVC msg=audit(1407301746.731:367): avc:  denied  { search } for  pid=7688 comm="httpd" name="ntop" dev="sdb3" ino=1710144 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:ntop_var_lib_t:s0 tclass=dir


type=SYSCALL msg=audit(1407301746.731:367): arch=i386 syscall=stat64 success=no exit=EACCES a0=b7bedb00 a1=bfc1fa7c a2=b73a6000 a3=bfc1fba0 items=0 ppid=7687 pid=7688 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm=httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)

Hash: httpd,httpd_t,ntop_var_lib_t,dir,search

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.7-200.fc20.i686+PAE
type:           libreport

Comment 1 Daniel Walsh 2014-08-06 14:43:33 UTC
Is there any reason for httpd to be searhing in /var/lib/ntop?

Comment 2 kayvan.lenovo 2014-08-08 17:41:15 UTC
I don`t think do and I did not use ntop nowhere.

Comment 3 Daniel Walsh 2014-08-18 13:05:13 UTC
I have added a patch to allow httpd to search all directories.

f2a52d2deebcd9fc35ed29a11564a03f5c9e908c  should fix this problem.

Comment 4 Lukas Vrabec 2014-08-18 13:27:38 UTC
backported.

Comment 5 Fedora Update System 2014-08-21 08:26:46 UTC
selinux-policy-3.12.1-181.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-181.fc20

Comment 6 Fedora Update System 2014-08-23 01:56:41 UTC
Package selinux-policy-3.12.1-181.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-181.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9682/selinux-policy-3.12.1-181.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-08-28 15:30:17 UTC
selinux-policy-3.12.1-181.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.